{% extends 'base.html' %}
{% load i18n %}
{% load staticfiles %}
{% load tz %}

{% block head %}<link rel="stylesheet" href="{% static 'kiss_events/content-style.css' %}" type="text/css" media="screen" />{% endblock head %}

{% block title %}{% trans 'Events schedule' %}{% endblock %}

{% block content %}
<div id="schedule">
  <div class="content-header">
    <h2>{% trans "Schedule" %}</h2>
    <ul class="content-options">
      <li><a href="{% url 'kiss_events:EventSubmit' %}">{% trans "Submit an event" %}</a></li>
      <li><a href="{% url 'kiss_events:AcceptedEventsList' %}">{% trans "A-Z" %}</a></li>
    </ul>    
  </div>
  {% if program_in_preparation %}
  <div class="message">
    <p>{% trans 'The program is being prepared' %}</p>
  </div>
  {% endif %}
  {% for ev_date, events_list in schedule.items %}
  <div class="day">
    <h3>{{ ev_date|date:"d F" }}</h3>
    <ul>
      {% for event in events_list %}
      <li>
	<a href="{% url 'kiss_events:AcceptedEventDetail' event.id %}">
	  <span class="event-schedule">{{ event.schedule|localtime|date:"H:i" }}</span>
	  <span class="event-title"> - {{ event.title|capfirst }}</span>
	  <span class="event-authors">{% trans "by" %} {{ event.authors_list }}</span>
	  <span class="event-infos">({{ event.type }}, {{ event.duration }} {% trans "minutes" %})</span>
	</a>
      </li>
      {% endfor %}
    </ul>
  </div>
  {% endfor %}
</div>
{% endblock %}
